/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef GLOBALS_H
#define GLOBALS_H
#include<glibmm/ustring.h>
#if defined(_WIN32) 
// Create the Windows-based definitions

// these values will be initialized completely later
static Glib::ustring glade_interface_path  = "PeriodicCalendar.glade";
static Glib::ustring app_logo_path  = "pcalendar.png";

#else
// UNIX compilation
#include<config.h>
#define GLADE_INTERFACES_PATH PACKAGE_DATA_DIR"/"PACKAGE"/PeriodicCalendar.glade"
#define APP_LOGO_PATH PACKAGE_PIXMAPS_DIR"/pcalendar.png"
static Glib::ustring glade_interface_path  = GLADE_INTERFACES_PATH;
static Glib::ustring app_logo_path  = APP_LOGO_PATH;
#endif // UNIX

#define APP_NAME gettext("Periodic Calendar")
#define LOCAL_CFG_FILE ".pcalendar"
#define CFG_HEADER "# This is a Periodic Calendar Configuration file\n"

#define PCAL_FILTER_NAME "Periodic Calendar Files"
#define PCAL_FILTER_EXT "*.pcal"
#endif // GLOBALS_H
