/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _STATDIALOG_H_
#define _STATDIALOG_H_

#include<libglademm.h>
#include<gtkmm.h>
#include"graphwidget.h"
#include"graphmodel.h"

class PCalMainWindow;

class StatDialog : public Gtk::Window
{
    public:
		StatDialog(BaseObjectType* cobject, 
                    const Glib::RefPtr<Gnome::Glade::Xml>& refGlade);
		virtual ~StatDialog();
	
		/// This function should be used to show the statistics
        /// dialog. The parameter is the reference to the main window.
        virtual void present(PCalMainWindow *main_window);
	
	protected:
        Glib::RefPtr<Gnome::Glade::Xml> m_refGlade;
	private: 
        // signal handlers
        void on_ok_click();
    
        // component references
        Gtk::Label* periodsCountLabel;
        Gtk::Label* avLengthLabel;
        Gtk::Label* minLengthLabel;
        Gtk::Label* maxLengthLabel;
        Gtk::Label* calendarAccuracyLabel;
    
        // graph widget
        TGraphWidget * gw;
        TGraphModel * gm;
};

#endif	//_STATDIALOG_H_
